<template>
  <v-app>
    <v-main class="tway-background-curves">
      <v-container fill-height>
        <v-tooltip bottom>
          <template v-slot:activator="{ on }">
            <v-icon
              color="white"
              v-on="on"
              class="typeform__cancel-button"
              @click="goToHome"
            >
              cancel
            </v-icon>
          </template>
          <span>Ir al Inicio</span>
        </v-tooltip>
        <dti-form-config-provider :attrs="surveyAttrs" />
      </v-container>
    </v-main>
  </v-app>
</template>
<script>
import DtiFormConfigProvider from "@/components/forms/typeform/DtiFormConfigProvider.vue";
import DtService from "@/services/dtService";

export default {
  components: {
    DtiFormConfigProvider,
  },
  data: () => ({
    isLoading: false,
    surveyAttrs: {},
  }),
  created() {
    this.getSurvey("a123");
  },
  methods: {
    goToHome() {
      this.$router.push({ name: "home" });
    },
    getSurvey() {
      this.isLoading = true;
      DtService.getSurvey("a123")
        .then((questions) => (this.surveyAttrs = questions))
        .catch((err) => this.$log.error(err))
        .then(() => (this.isLoading = false));
    },
    getDti() {
      DtService.getDti()
        .then((dti) => {
          if (dti.idx !== 0) {
            this.$router.push({ name: "home " });
          }
        })
        .catch((err) => this.$log.error(err));
    },
  },
};
</script>
